import sqlAdmin as sqla

database = r"../test2.db"

sql_table_menu = """
    INSERT INTO menu(ltext, link) VALUES(?,?)
"""




##- --- --- --- --- --- --- --- --- --- --.###. --- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- -## --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- #########-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- ---##-- --- --- --- --- --- --- --- --- --- --- --- --- -##




     ## -- --- --- --- --- --- ()   main
    ##
    ##   
     ## -- --- --- --- --- --- --- --- -- ()

def main ():
    conn = sqla.cr_conn(database)

    with conn:
        link1 = ('Google', 'https://www.google.com')
        sqla.ins_table(conn, sql_table_menu, link1)

        link2 = ('Bing', 'https://www.bing.com')
        sqla.ins_table(conn, sql_table_menu, link2)

        link3 = ('YouTube', 'https://www.youtube.com')
        sqla.ins_table(conn, sql_table_menu, link3)

        link4 = ('Discord', 'https://www.discord.com')
        sqla.ins_table(conn, sql_table_menu, link4)
    #...
#...

    ## - --- --- --- --- ,,, --- ''' pXq ''' --- ,,, --- --- --- --- - ##




##- --- --- --- --- --- --- --- --- --- #######.--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##-###. --- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ##- --##--- --- --- --- --- --- --- --- --- --- --- --- --- -##
##- --- --- --- --- --- --- --- --- --- ####### --- --- --- --- --- --- --- --- --- --- --- --- --- -##




if __name__ == '__main__':
    main()